Summary: A clock for the X Window System.
Name: xdaliclock
Version: 2.18
Release: 2
Group: Amusements/Graphics
Copyright: MIT
Source: http://www.jwz.org/xdaliclock/xdaliclock-%{version}.tar.gz
Patch: xdaliclock-shape-cycle.patch
BuildRoot: /var/tmp/xdaliclock-root

%description
The xdaliclock program displays a digital clock, with digits that
merge into the new digits as the time changes.  Xdaliclock can display
the time in 12 or 24 hour modes and can will display the date if you
hold your mouse button down over it.  Xdaliclock has two large fonts
built in, but is capable of animating other fonts.

Install the xdaliclock package if you want a fairly large clock, with
a melting special effect, for your system.

%prep
%setup -q
%patch -p1

%build
cd X11
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6
make

%install
rm -rf $RPM_BUILD_ROOT
cd X11
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/{bin,man/man1}
make prefix=$RPM_BUILD_ROOT/usr/X11R6 install

strip $RPM_BUILD_ROOT/usr/X11R6/bin/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/X11R6/bin/xdaliclock
/usr/X11R6/man/man1/xdaliclock.1*

%changelog
* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- strip binary

* Tue Nov 30 1999 Bill Nottingham <notting@redhat.com>
- 2.18

* Mon Nov 15 1999 Bill Nottingham <notting@redhat.com>
- update to 2.16

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- wmconfig goes away...

* Tue Jan  5 1999 Bill Nottingham <notting@redhat.com>
- update to 2.14

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- update to 2.13

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
